Results 1 to 7 of 7

Thread: Any KDE4 repository for Opensuse Leap ?

  1. #1

    Default Any KDE4 repository for Opensuse Leap ?

    I'm having a really hard time with early beta quality (+lack of functionality) of Plasma 5 in Opensuse Leap.

    Does anybody know if there is a KDE4 repository for Opensuse Leap 42.1 ?

    Otherwise I'll have to reinstall 13.2 (one of the best Linux distros I've used on desktop) or search for other distro to get my stability/productivity back

  2. #2

    Default Re: Any KDE4 repository for Opensuse Leap ?

    Quote Originally Posted by LifeRow View Post
    Does anybody know if there is a KDE4 repository for Opensuse Leap 42.1 ?
    No, there isn't.

    But I have a repo with Plasma5 packages that are coinstallable with KDE4.
    I also added the parts of KDE4 that got removed in Leap/Tumbleweed to that repo.

    Add my repo (and KDE:Frameworks5) and do a full switch to it. You should then be able to install kdebase4-session to get back a KDE4 desktop ("KDE Plasma Desktop" on the login screen will be KDE4 then, and Plasma5 will be available too).
    But beware, I haven't tried it myself on Leap yet.

    Code:
    sudo zypper ar -f http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/ KF5
    sudo zypper ar -f http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.1/ wolfi323_KF5
    sudo zypper dup --from KF5 wolfi_KF5
    sudo zypper in kdebase4-session kscreen
    (kscreen has been dropped too a month ago because it couldn't be built any more, you need it for actually starting the KDE4 desktop though)

    This should install all necessary desktop packages for logging in, you might have to add some packages manually yourself though, I'm not sure)
    Last edited by wolfi323; 26-Nov-2015 at 09:27.

  3. #3

    Default Re: Any KDE4 repository for Opensuse Leap ?

    Thank you for quick and very helpful reply wolfi323

    For now I can confirm that your repository is working fine with Leap fine (standard 42.1 repos + KDE:Frameworks5, Pacman and KDE:Extra). I had to remove plasma5 session package due to some dependency problem but that's no big deal for me as Plasma5 apps run fine in KDE4 too.

    I had my old .kde4 backed up so I could return all settings and it all works great. No crashes and freezes on changing desktops, tray icons show up

    I'll do the same on work comp tomorrow and report back.

  4. #4

    Default Re: Any KDE4 repository for Opensuse Leap ?

    Quote Originally Posted by LifeRow View Post
    For now I can confirm that your repository is working fine with Leap fine (standard 42.1 repos + KDE:Frameworks5, Pacman and KDE:Extra).
    Thanks for the feedback.

    I had to remove plasma5 session package due to some dependency problem
    Hm, maybe some 5.5 beta packages slipped through?
    I'll have a look.

    but that's no big deal for me as Plasma5 apps run fine in KDE4 too.
    If you zypper dup'ed to my repo, all your KDE applications should actually be KDE4 based now. The KF5 versions in my repo have a '5' in the package name and are installable side-by-side with their KDE4 counterpart.

    But yes, Plasma5 apps do run fine in KDE4 of course.
    But things like service menus, device actions, and systemsettings modules will be missing, as KF5 uses different directories for that (/usr/share/ instead of /usr/share/kde4/). This might be a reason to still prefer the KDE4 versions if using the KDE4 desktop...

    And you probably experience the session management problem that Qt5/KF5 based apps are often not restored at login with KDE4 too.
    (because it is a bug/strange behaviour in Qt5, not in Plasma5's session management)

    I had my old .kde4 backed up so I could return all settings and it all works great. No crashes and freezes on changing desktops, tray icons show up
    Well, I don't have those problems in Plasma5 either...

    Although I do experience the bug that randomly either the volume control (which doesn't bother me as I prefer kmix anyway) or plasma-nm is missing (there is a workaround to "get it back" if that happens though).

  5. #5

    Default Re: Any KDE4 repository for Opensuse Leap ?

    Quote Originally Posted by wolfi323 View Post
    Hm, maybe some 5.5 beta packages slipped through?
    I'll have a look.
    Should be fixed now...

    PS: if you don't intend to use Plasma5, you could also uninstall it (if you want to save the diskspace, e.g.).
    In that case you don't really need the KDE:Frameworks5 repo either.

    But you shouldn't run "zypper dup" then as it will replace KDE4 with Plasma5 again.
    A "zypper dup --from xxx" or "zypper up" should be fine though (or the desktop's updater, apper, and YaST->Online Update).

  6. #6

    Default Re: Any KDE4 repository for Opensuse Leap ?

    Quote Originally Posted by wolfi323 View Post
    Should be fixed now...

    PS: if you don't intend to use Plasma5, you could also uninstall it (if you want to save the diskspace, e.g.).
    In that case you don't really need the KDE:Frameworks5 repo either.

    But you shouldn't run "zypper dup" then as it will replace KDE4 with Plasma5 again.
    A "zypper dup --from xxx" or "zypper up" should be fine though (or the desktop's updater, apper, and YaST->Online Update).

    Thank you for all your help and your efforts !

    Indeed, removing KDE:Frameworks5 caused no problem.
    I was trying to simplify it and I put higher priority to your repository (so I could "zypper dup" without Plasma upgrade). It wasn't such a good idea.
    Will try with fresh Leap install again.

    I went for fresh install of Tumbleweed on work PC (to give Plasma5 fresh and fair try) and it was fine until it was updated (after successful update, Yast stopped working, with only main window opening, console version refused to open with error).

    I can't afford much downtime at work (stability + productivity is priority), so I went for good old Debian Stable (KDE 4.14).

  7. #7

    Default Re: Any KDE4 repository for Opensuse Leap ?

    Quote Originally Posted by LifeRow View Post
    Indeed, removing KDE:Frameworks5 caused no problem.
    I was trying to simplify it and I put higher priority to your repository (so I could "zypper dup" without Plasma upgrade). It wasn't such a good idea.
    Will try with fresh Leap install again.
    You shouldn't use "zypper dup" on a stable release anyway. It's only intended to do a *d*istribution *up*grade, i.e. moving from one openSUSE release to the next.

    "zypper dup --from xxx" is a good way to switch your installed packages to some additional repo though without risking incompatibilites because you didn't upgrade all necessary pacakges.

    I went for fresh install of Tumbleweed on work PC (to give Plasma5 fresh and fair try) and it was fine until it was updated (after successful update, Yast stopped working, with only main window opening, console version refused to open with error).
    Well, if even the console version stopped working, it's definitely unrelated to Plasma5.

    I can't afford much downtime at work (stability + productivity is priority), so I went for good old Debian Stable (KDE 4.14).
    Ok.
    For maximum stability, upgrading immediately to the latest version when it is released isn't probably the best idea.
    openSUSE 13.2 or 13.1 are still supported though (the former for a bit more than a year, the latter for another ~2 months and then by the Evergreen team).
    Last edited by wolfi323; 30-Nov-2015 at 05:32.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •